Bug 172698 - system-config-network-tui does not support virtual ethernet devices
system-config-network-tui does not support virtual ethernet devices
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
: Reopened
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-11-08 09:58 EST by Jarkko
Modified: 2009-07-14 12:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:58:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarkko 2005-11-08 09:58:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.3) Gecko/20040910

Description of problem:
I'm using virtual ethernet devices (configured them manually) and now system-config-network (from command line) fails after I have selected Ethernet as the one I want to configure.

Version-Release number of selected component (if applicable):
system-config-network-tui-1.3.22-1

How reproducible:
Didn't try

Steps to Reproduce:
1. Configure a virtual ethernet device manually at network-scripts
2. Restart network and check the devices are all up
3. Run system-config-network
  

Actual Results:  Crash.

Expected Results:  The tool should at least allow me to configure the real interface.

Additional info:

An unhandled exception has occured.  This is most likely a bug.  Please save the crash dump and file a detailed bug report against system-config-network at https://bugzilla.redhat.com/bugzilla
Component: system-config-network
Version: 1.3.22
Summary: TB /usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCDevice.py:183:load:ValueError: invalid literal for int(): old
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 506, in ?
    mainScreen(screen)
  File "/usr/sbin/system-config-network-tui", line 148, in mainScreen
    nw=EthernetWindow(screen,getDeviceList())
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 294, in getDeviceList
    __DVList.load()
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 80, in load
    newdev.load(dev)
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCDevice.py", line 183, in load
    self.Alias = int(self.Device[aliaspos+1:])
ValueError: invalid literal for int(): old

> /usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCDevice.py(186)load()
-> NC_functions.generic_error_dialog(_("%s, "
(Pdb) An unhandled exception has occured.  This is most likely a bug.  Please save the crash dump and file a detailed bug report against system-config-network at https://bugzilla.redhat.com/bugzilla
Component: system-config-network
Version: 1.3.22
Summary: TB /usr/lib/python2.3/cmd.py:121:cmdloop:KeyboardInterrupt
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 513, in ?
    handleException(sys.exc_info(), PROGNAME, PRG_VERSION)
  File "/usr/sbin/system-config-network-tui", line 112, in handleException
    pdb.post_mortem (tb)
  File "/usr/lib/python2.3/pdb.py", line 1001, in post_mortem
    p.interaction(t.tb_frame, t)
  File "/usr/lib/python2.3/pdb.py", line 149, in interaction
    self.cmdloop()
  File "/usr/lib/python2.3/cmd.py", line 121, in cmdloop
    line = raw_input(self.prompt)
KeyboardInterrupt

> /usr/lib/python2.3/cmd.py(123)cmdloop()
-> line = 'EOF'
(Pdb) Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 118, in <lambda>
    PRG_NAME, PRG_VERSION)
  File "/usr/sbin/system-config-network-tui", line 112, in handleException
    pdb.post_mortem (tb)
  File "/usr/lib/python2.3/pdb.py", line 1001, in post_mortem
    p.interaction(t.tb_frame, t)
  File "/usr/lib/python2.3/pdb.py", line 149, in interaction
    self.cmdloop()
  File "/usr/lib/python2.3/cmd.py", line 121, in cmdloop
    line = raw_input(self.prompt)
KeyboardInterrupt

Original exception was:
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 513, in ?
    handleException(sys.exc_info(), PROGNAME, PRG_VERSION)
  File "/usr/sbin/system-config-network-tui", line 112, in handleException
    pdb.post_mortem (tb)
  File "/usr/lib/python2.3/pdb.py", line 1001, in post_mortem
    p.interaction(t.tb_frame, t)
  File "/usr/lib/python2.3/pdb.py", line 149, in interaction
    self.cmdloop()
  File "/usr/lib/python2.3/cmd.py", line 121, in cmdloop
    line = raw_input(self.prompt)
KeyboardInterrupt
Comment 1 Matthew Miller 2006-07-10 17:20:26 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Jarkko 2006-07-11 16:25:12 EDT
I've not tested this in FC4, FC5 or Rawhide yet. But I'm assuming the same
happens there. If someone can confirm this does not happen in those releases,
you're free to close this of course.
Comment 3 Jarkko 2007-10-16 03:51:57 EDT
Okay. I finally tested this in F7 (all updates applied) - still crashes.

I can't test this in Rawhide at the moment, but this is very easy to reproduce.
Just add a virtual device under /etc/sysconfig/network-scripts/ e.g. with the
following content I used (the name of the file is "ifcfg-eth0:test"):

--
DEVICE=eth0:test
NETMASK=255.255.255.0
IPADDR=192.168.64.193
ONBOOT=no
--

As I said originally, the bug here is that it crashes. It should be possible to
use this tool for configuring the main interfaces even if there are virtual
ones. It would be great to have also support for virtual interfaces, but that is
another issue. That would be more of an enhancement request. :)

For me it is enough if this gets fixed in the development tree. Therefore I
leave "devel" as the Version.

This F7 host is x86_64, so I change Hardware to "All".


An unhandled exception has occured.  This is most likely a bug.  Please save the
crash dump and file a detailed bug report against system-config-network at
https://bugzilla.redhat.com/bugzilla

Component: system-config-network
Version: 1.3.96.2
Summary: TB872c07dc NCDevice.py:196:load:ValueError: invalid literal for int()
with base 10: 'test'

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 167, in main
    window = mainDialog()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
247, in __init__
    self.load()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
270, in load
    self.loadDevices()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
278, in loadDevices
    devicelist = getDeviceList()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 297,
in getDeviceList
    __DVList.load()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 80,
in load
    newdev.load(dev)
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 196, in load
    self.Alias = int( self.Device[aliaspos+1:] )
ValueError: invalid literal for int() with base 10: 'test'

Local variables in innermost frame:
name: eth0:test
confkey: ONBOOT
cfg: <rhpl.Conf.ConfShellVar instance at 0x1151998>
self: Device.Type=Ethernet
Device.Netmask=255.255.255.0
Device.Device=eth0:test
Device.OnBoot=false
Device.IP=192.168.64.193
Device.DeviceId=eth0:test

selfkey: OnBoot
conf: <netconfpkg.NCDevice.ConfDevice instance at 0x11515f0>
aliaspos: 4
Comment 4 Jarkko 2007-10-16 04:02:55 EDT
I forgot to mention that now it crashes on startup and that both the GUI and the
cmd versions crash. The previous output was from the GUI. Here's the output from
system-config-network-cmd:


An unhandled exception has occured.  This is most likely a bug.
Please file a detailed bug report against the component system-config-network at 
https://bugzilla.redhat.com/bugzilla
using the text below.
Component: system-config-network
Version: 1.3.96.2
Summary: TB
/usr/share/system-config-network/netconfpkg/NCDevice.py:196:load:ValueError:
invalid literal for int() with base 10: 'test'
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-cmd", line 255, in main
    devlists = [getDeviceList(), getHardwareList(),
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 297,
in getDeviceList
    __DVList.load()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 80,
in load
    newdev.load(dev)
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 196, in load
    self.Alias = int( self.Device[aliaspos+1:] )
ValueError: invalid literal for int() with base 10: 'test'

Local variables in innermost frame:
name: eth0:test
confkey: ONBOOT
cfg: <rhpl.Conf.ConfShellVar instance at 0x8a0a70>
self: Device.Type=Ethernet
Device.Netmask=255.255.255.0
Device.Device=eth0:test
Device.OnBoot=false
Device.IP=192.168.64.193
Device.DeviceId=eth0:test

selfkey: OnBoot
conf: <netconfpkg.NCDevice.ConfDevice instance at 0x8a0560>
aliaspos: 4
Comment 5 Harald Hoyer 2007-10-16 04:37:30 EDT
fixed in rawhide
Comment 6 Harald Hoyer 2007-10-16 05:25:26 EDT
correction, not fixed completly..
Comment 7 Bug Zapper 2008-04-03 12:36:54 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Jarkko 2008-04-04 03:23:31 EDT
Tested in F8. Yes, it doesn't crash anymore.

And it almost works properly too. One small bug: The device alias number setting
in the UI is always 0 (it doesn't read it from the DEVICE= line). If the device
is named e.g. as eth0:1 and you save its settings in the UI, it renames the
device to eth0:0 (modifies the DEVICE= line from eth0:1 to eth0:0). This is a
real problem also, because if you have multiple virtual devices, they all change
to eth0:0 if you modify them in the UI.

This is easy to fix. Make the UI to read the device alias number from the
DEVICE= line. The alias number value is the characters which are in the right
hand side of the ':' character. In regular expression this would be /:(.*)$/ -->
$1 or something (in Perl it would work like that - I don't know Python very
well). If $1 is empty, then you can use 0 as the default value. But if $1 is not
empty, the UI should use that.
Comment 9 Bug Zapper 2008-05-13 22:03:25 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-06-09 18:04:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 12:58:15 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.